## file 5.14

=== debian/changelog ===
file (1:5.14-2ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service via crafted offset in PE executable
    - debian/patches/CVE-2014-2270.patch: check bounds in src/softmagic.c.
    - CVE-2014-2270

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 03 Apr 2014 13:27:40 -0400

file (1:5.14-2ubuntu2) trusty; urgency=medium

  * SECURITY UPDATE: denial of service via crafted indirect offset value
    - debian/patches/CVE-2013-1943.patch: properly handle recursion in
      src/ascmagic.c, src/file.h, src/funcs.c, src/softmagic.c.
    - CVE-2013-1943

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 24 Feb 2014 11:23:34 -0500

file (1:5.14-2ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Adjust python build dependencies for cross builds.
    - Make python-magic a binary indep package.
    - Allow the package to cross-build.
  * Recognize python3.4 byte code.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Dec 2013 21:42:48 +0100

file (1:5.14-2) unstable; urgency=high

  * Eliminate global variable to fix segfault (Closes: #708281).

 -- Luk Claes <luk@debian.org>  Mon, 20 May 2013 18:13:41 +0200

file (1:5.14-1) unstable; urgency=low

  * New upstream version
    - Update patches
    - Drop 0005-python3.3.patch: applied upstream

 -- Luk Claes <luk@debian.org>  Mon, 06 May 2013 19:22:52 +0200

file (1:5.13-2) experimental; urgency=low

  * Archive rejects -1 as there was one already.

 -- Luk Claes <luk@debian.org>  Mon, 01 Apr 2013 13:50:50 +0200

file (1:5.13-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Applying slightly modified patch from Benjamin Drung
    <bdrung@debian.org> to build a python3-magic package (Closes:
    #695259).
  * Adding patch from Jakub Wilk <jwilk@debian.org> to make file recognize
    byte-compiled files generated by Python 3.3 (Closes: #697110).
  * Applying slight modified patch from Benjamin Drung <bdrung@debian.org>
    to configure with --disable-silent-rules.
  * Applying slightly modified patch from Benjamin Drung
    <bdrung@debian.org> to stop building python-magic-dbg.

  [ Benjamin Drung ]
  * Removing dublicated fields for binary packages in control.
  * Adding symbols file for libmagic.

  [ Daniel Baumann ]
  * Trimming diff headers in patches.
  * Using four digit prefixes for patch files.
  * Adding patch to update gzip mime (Closes: #688886).
  * Adding new magics from Esa Hyytiä <esa@netlab.tkk.fi> for Commodore
    raw tape files (Closes: #699777).
  * Adding updated magics from Bastien Roucaries
    <roucaries.bastien@gmail.com> for AOL ART images (Closes: #681304).
  * Adding file debug package (Closes: #601329).
  * Updating copyright file (Closes: #701937).
  * Setting priority for python bindings to optional (Closes: #687219).
  * Adding updated magics from Paul Wise <pabs@debian.org> for MS Windows
    HtmlHelp Data (Closes: #653911).
  * Merging upstream version 5.13: - readelf uses debug information
    properly now (Closes: #664526).
  * Updating file-localmagic.patch to avoid warning about non-compiled
    /etc/magic (Closes: #658629).
  * Updating symbols file for 5.13.
  * Adding new magics from Russell Coker <russell@coker.com.au> for Linux
    Software RAID (Closes: #663454).
  * Adding updated magics from Russell Coker <russell@coker.com.au> for
    BTRFS (Closes: #663454).
  * Adding patch to add POSIXLY_CORRECT reference in usage message
    (Closes: #576679).
  * Renumbering patches.
  * Adding new magics from chrysn <chrysn@fsfe.org> for LXT (Closes:
    #647412).

  [ Luk Claes ]
  * Reupload 5.13 to experimental.

 -- Luk Claes <luk@debian.org>  Mon, 01 Apr 2013 11:55:06 +0200

file (1:5.11-3) unstable; urgency=low

  * Taking over maintainership (Closes: 704326).
  * Updating Standards-Version (no changes).
  * Do not ship python-magic-dbg as it is currently empty.

 -- Luk Claes <luk@debian.org>  Mon, 01 Apr 2013 10:20:18 +0200

file (1:5.11-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-upload 5.11-2:
    - Fix ELF detection on 64-bit big endian architectures (closes: #703274).

 -- Bastian Blank <waldi@debian.org>  Sun, 17 Mar 2013 20:23:55 +0000

file (5.12-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:23:00 +0100

file (5.12-1) unstable; urgency=low

  * Merging upstream version 5.12:
    - adds magics for Access 2010 (Closes: #680021).
  * Updating years in copyright file.
  * Updating to standards version 3.9.4.
  * Dropping compression levels.
  * Adding dpkg-source local-options.
  * Rediffing file-localmagic.patch.
  * Dropping msaccess_jet5_magic.patch, included upstream.
  * Manually adding building of static library via configure option.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:59:40 +0100

file (5.11-3) unstable; urgency=low

  [ Judit Foglszinger ]
  * Adding new magic for Access 2010 files, thanks to Jean-Michel Vourgère

  [ Daniel Baumann ]
  * Rediffing msaccess_jet5_magic.patch with common options.

 -- Judit Foglszinger <fgrfgr@freenet.de>  Fri, 13 Jul 2012 20:37:33 +0000
