=== debian/control ===
--- 
+++ 
@@ -2,21 +2,16 @@
 Section: utils
 Priority: standard
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Judit Foglszinger <fgrfgr@freenet.de>
+XSBC-Original-Maintainer: Luk Claes <luk@debian.org>
 Build-Depends:
- debhelper (>= 9), autotools-dev,
- libpython-all-dev, libpython-all-dbg,
- libpython3-all-dev, libpython3-all-dbg,
- python-all-dev:any, python-all-dbg:any,
- python3-all-dev:any, python3-all-dbg:any,
+ debhelper (>= 9), dh-autoreconf,
+ libpython-all-dev, libpython3-all-dev,
+ python-all-dev:any, python3-all-dev:any,
  zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.darwinsys.com/file/
 
 Package: file
-Section: utils
-Priority: standard
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, libmagic1 (= ${binary:Version})
@@ -26,9 +21,22 @@
  language tests. The first test that succeeds causes the file type to be
  printed.
 
+Package: file-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}, libmagic1 (= ${binary:Version})
+Description: Determines file type using "magic" numbers (debug)
+ File tests each argument in an attempt to classify it. There are three sets of
+ tests, performed in this order: filesystem tests, magic number tests, and
+ language tests. The first test that succeeds causes the file type to be
+ printed.
+ .
+ This package contains the debugging symbols.
+
 Package: libmagic1
 Section: libs
-Priority: standard
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,13 +61,12 @@
 
 Package: python-magic
 Section: python
-Priority: extra
+Priority: optional
 Architecture: all
 Depends:
  ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  libmagic1 (= ${binary:Version})
 Provides: ${python:Provides}
-Suggests: python-magic-dbg
 Description: File type determination library using "magic" numbers (Python bindings)
  This library can be used to classify files according to magic number tests. It
  implements the core functionality of the file command.
@@ -68,14 +75,13 @@
 
 Package: python3-magic
 Section: python
-Priority: extra
+Priority: optional
 Architecture: all
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
- libmagic1 (>= ${binary:Version})
+ ${misc:Depends}, ${python3:Depends}, libmagic1 (>= ${binary:Version})
 Provides: ${python3:Provides}
-Description: File type determination library using "magic" numbers (Python3 bindings)
+Description: File type determination library using "magic" numbers (Python 3 bindings)
  This library can be used to classify files according to magic number tests. It
  implements the core functionality of the file command.
  .
- This package contains the Python3 bindings.
+ This package contains the Python 3 bindings.
