=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 PYTHON3_VERSIONS=$(shell py3versions -r debian/control)
 
 %:
-	dh ${@} --with autotools_dev,python2,python3
+	dh ${@} --with autoreconf,python2,python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -41,10 +41,6 @@
 			-L$(CURDIR)/src/.libs); \
 	done
 
-	for python in $(PYTHON_VERSIONS); do \
-		(cd python && $(SET_CROSS_ENV) $$python-dbg setup.py build_ext -L$(CURDIR)/src/.libs); \
-	done
-
 	for python in $(PYTHON3_VERSIONS); \
 	do \
 		(cd python && $(SET_CROSS_ENV) $$python setup.py build_ext \
@@ -52,7 +48,7 @@
 	done
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CROSS) --prefix=/usr --datadir=\$${prefix}/share --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --enable-fsect-man5 CFLAGS="$(CFLAGS)" --disable-silent-rules
+	dh_auto_configure -- $(CROSS) --prefix=/usr --datadir=\$${prefix}/share --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --enable-fsect-man5 --enable-static --disable-silent-rules CFLAGS="$(CFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install
@@ -68,14 +64,6 @@
 			--root=$(CURDIR)/debian/python-magic $(py_setup_install_args)); \
 	done
 
-	for python in $(PYTHON_VERSIONS); do \
-		(cd python && $(SET_CROSS_ENV) $$python-dbg setup.py install --no-compile \
-			--root=$(CURDIR)/debian/python-magic-dbg $(py_setup_install_args)); \
-	done
-
-	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
-	find debian/python-*-dbg -depth -empty -exec rmdir {} \;
-
 	for python in $(PYTHON3_VERSIONS); \
 	do \
 		(cd python && $(SET_CROSS_ENV) $$python setup.py install --no-compile \
@@ -90,10 +78,13 @@
 	rm -f debian/tmp/usr/lib/*/*.la
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_install:
 	dh_install --fail-missing
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibmagic1 -ldebian/libmagic1/usr/lib
+
+override_dh_strip:
+	dh_strip --dbg-package=file-dbg
