=== debian/control ===
--- 
+++ 
@@ -1,11 +1,16 @@
 Source: file
 Section: utils
 Priority: standard
-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Build-Depends: debhelper (>= 9.20141010~),
     dh-autoreconf,
-    python-all,
-    python3-all,
+    dh-python,
+    dpkg-dev (>= 1.17.14~),
+    libpython-all-dev,
+    libpython3-all-dev,
+    python-all-dev:any,
+    python3-all-dev:any,
     zlib1g-dev,
 Standards-Version: 3.9.5
 Homepage: http://www.darwinsys.com/file/
