=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	CROSS= --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) CC=$(DEB_HOST_GNU_TYPE)-gcc LD=$(DEB_HOST_GNU_TYPE)-ld
+	SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)
+	SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
 else
 	CROSS= --build=$(DEB_BUILD_GNU_TYPE)
 endif
@@ -44,13 +46,13 @@
 ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 	for python in $(PYTHON_VERSIONS); \
 	do \
-		(cd python && $$python setup.py build_ext \
+		(cd python && $(SET_CROSS_ENV) $$python setup.py build_ext \
 			-L$(CURDIR)/src/.libs); \
 	done
 
 	for python in $(PYTHON3_VERSIONS); \
 	do \
-		(cd python && $$python setup.py build_ext \
+		(cd python && $(SET_CROSS_ENV) $$python setup.py build_ext \
 			-L$(CURDIR)/src/.libs); \
 	done
 endif
@@ -69,13 +71,13 @@
 ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 	for python in $(PYTHON_VERSIONS); \
 	do \
-		(cd python && $$python setup.py install --no-compile \
+		(cd python && $(SET_CROSS_ENV) $$python setup.py install --no-compile \
 			--root=$(CURDIR)/debian/python-magic $(py_setup_install_args)); \
 	done
 
 	for python in $(PYTHON3_VERSIONS); \
 	do \
-		(cd python && $$python setup.py install --no-compile \
+		(cd python && $(SET_CROSS_ENV) $$python setup.py install --no-compile \
 			--root=$(CURDIR)/debian/python3-magic $(py_setup_install_args)); \
 	done
 endif
