## file 5.28

=== debian/changelog ===
file (1:5.28-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Adjust python build dependencies for cross builds.
    - Allow the package to cross-build.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 Jul 2016 09:34:33 -0400

file (1:5.28-2) unstable; urgency=high

  * Enable full hardening build
  * Cherry-pick commits since 5.28 release:
    - Avoid "can't break line" warnings from lintian
    - Don't copy NULL
    - Avoid double encoding with python3. Closes: #828833

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 30 Jun 2016 01:39:07 +0200

file (1:5.28-1) unstable; urgency=medium

  * New upstream version 5.28

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 27 Jun 2016 16:10:45 +0200
