=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
     libpython3-all-dev,
     python-all-dev:any,
     python3-all-dev:any,
+    python-setuptools,
+    python3-setuptools,
     zlib1g-dev,
 Standards-Version: 3.9.5
 Homepage: http://www.darwinsys.com/file/
